
Dashboard - Bug #42243

mgr/dashboard: Fix unit test that is failing in a negative timezone

10/09/2019 08:54 AM - Stephan Müller

Status: Duplicate % Done: 0%

Priority: Normal   

Assignee:    

Category: Component - RBD   

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Found a test that is failing in a negative timezone (Washington (-05:00))

  ● RbdSnapshotListComponent › snapshot modal dialog › should display suggested snapshot name

    expect(received).toMatch(expected)

    Expected pattern: /^image01_[\d-]+T[\d.:]+\+[\d:]+$/

    Received string:  "image01_2019-10-09T03:40:18.664-05:00" 

      204 |     it('should display suggested snapshot name', () => {

      205 |       component.openCreateSnapshotModal();

    > 206 |       expect(component.modalRef.content.snapName).toMatch(

          |                                                   ^

      207 |         RegExp(`^${component.rbdName}_[\\d-]+T[\\d.:]+\\+[\\d:]+\$`)

      208 |       );

      209 |     });

      at src/app/ceph/block/rbd-snapshot-list/rbd-snapshot-list.component.spec.ts:206:51

      at ZoneDelegate.Object.<anonymous>.ZoneDelegate.invoke (node_modules/zone.js/dist/zone.js:39

1:26)

      at ProxyZoneSpec.Object.<anonymous>.ProxyZoneSpec.onInvoke (node_modules/zone.js/dist/proxy.

js:129:39)

      at ZoneDelegate.Object.<anonymous>.ZoneDelegate.invoke (node_modules/zone.js/dist/zone.js:39

0:52)

      at Zone.Object.<anonymous>.Zone.run (node_modules/zone.js/dist/zone.js:150:43)

      at Object.testBody.length (node_modules/jest-preset-angular/zone-patch/index.js:52:27)

Related issues:

Duplicated by Dashboard - Bug #42812: mgr/dashboard: Unit test is failing bec... Resolved

History

#1 - 04/23/2020 02:10 PM - Stephan Müller

- Duplicated by Bug #42812: mgr/dashboard: Unit test is failing because of the timezone added

#2 - 04/23/2020 02:11 PM - Stephan Müller

- Status changed from New to Duplicate

- Assignee deleted (Stephan Müller)

This issue was duplicated and the duplicate got fixed.

03/13/2024 1/2



#3 - 04/22/2021 11:14 AM - Ernesto Puerta

- Tracker changed from Fix to Bug

- Project changed from mgr to Dashboard

- Category changed from 139 to Component - RBD

- Regression set to No

- Severity set to 3 - minor
